# Note that this is NOT a relocatable package
#
# *** NOTE ****
# This gnome-print.spec file is not beeing maintaned by the gnome-print
# team. Patches are welcomed, but the only "official" gnome-print release
# is the tarball.
#
%define ver      0.28
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr

Summary: Gnome Print - Printing libraries for GNOME.
Name: 		gnome-print
Version: 	%ver
Release: 	%rel
Copyright: 	LGPL
Group: 		System Environment/Base
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-print/gnome-print-%{ver}.tar.gz
BuildRoot: 	/var/tmp/gnome-print-%{ver}-root
DocDir:		%{prefix}/doc
PreReq: gnome-libs >= 1.0
PreReq: libxml >= 1.8.5
PreReq: gtk+ >= 1.2.8
PreReq: ghostscript
PreReq: ghostscript-fonts >= 4.03
PreReq: urw-fonts

%description
You should install the gnome-print package if you intend on using any of
the GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print
devel package.

%package devel
Summary: Libraries and include files for developing GNOME applications.
Group: 		Development/Libraries

%description devel
You should install the gnome-print-devel package if you would like to 
develop GNOME applications that will use the GNOME printing facilities.
You don't need to install the gnome-print-devel package if you just want 
to use the GNOME desktop enviornment.

%changelog
* Mon Dec 11 2000 Chema Celorio <chema@celorio.com>
- Added note about this file not beeing maintaned and updated
  the old description.

* Sun Aug 01 1999 Gregory McLean <gregm@comstar.net>
- Undo my draconian uninstall stuff.

* Tue Jul 20 1999 Gregory McLean <gregm@comstar.net>
- Stab at cleaning up properly when we uninstall.

* Fri Jul 16 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- fixed typo in spec

* Wed Jul 14 1999 Gregory McLean <gregm@comstar.net>
- Added fonts to the spec.

* Mon Jul 05 1999 Gregory McLean <gregm@comstar.net>
- Fleshed out the descriptions.

%prep
%setup -q

%build
# Needed for snapshot releases.
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%prefix --localstatedir=/var/lib
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install
# This is ugly
#
install -m 644 run-gnome-font-install $RPM_BUILD_ROOT%{prefix}/share/fonts
cd fonts
install -m 644 *.font $RPM_BUILD_ROOT%{prefix}/share/fonts

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig
perl %{prefix}/share/fonts/run-gnome-font-install \
	%{prefix}/bin/gnome-font-install %{prefix}/share %{prefix}/share

%postun 
/sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%{prefix}/share/fonts/afms/adobe/*
%{prefix}/share/fonts/fontmap2
%{prefix}/share/fonts/*.font
%{prefix}/share/fonts/run-gnome-font-install
%{prefix}/share/locale/*/*/*
%config %{prefix}/share/gnome-print/%{version}/profiles/PostscriptOptimized.profile
%config %{prefix}/share/gnome-print/%{version}/profiles/pdf.profile
%config %{prefix}/share/gnome-print/%{version}/profiles/fax-g3.profile

%files devel
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/lib/*.la
%{prefix}/lib/*.sh
%{prefix}/include/libgnomeprint/*
